# parsl.channels.SSHInteractiveLoginChannel

class parsl.channels.SSHInteractiveLoginChannel(hostname, username=None, password=None, script_dir=None, envs=None)

  SSH persistent channel. This enables remote execution on sites accessible via ssh. This channel supports interactive login and is appropriate when keys are not set up.

  __init__(hostname, username=None, password=None, script_dir=None, envs=None)

    Initialize a persistent connection to the remote system. We should know at this point whether ssh connectivity is possible

    Parameters:

      hostname (-) – Hostname

    KWargs:

      - username (string) : Username on remote system

      - password (string) : Password for remote system

      - script_dir (string) : Full path to a script dir where generated scripts could be sent to.

      - envs (dict) : A dictionary of env variables to be set when executing commands

    Raises:

  Methods

  `__init__`(hostname[, username, password, ...]) | Initialize a persistent connection to the remote system.
  `abspath`(path) | Return the absolute path on the remote side.
  `close`() | Closes the channel.
  `execute_wait`(cmd[, walltime, envs]) | Synchronously execute a commandline string on the shell.
  `isdir`(path) | Return true if the path refers to an existing directory.
  `makedirs`(path[, mode, exist_ok]) | Create a directory on the remote side.
  `prepend_envs`(cmd[, env]) |
  `pull_file`(remote_source, local_dir) | Transport file on the remote side to a local directory
  `push_file`(local_source, remote_dir) | Transport a local file to a directory on a remote machine

  Attributes

  `script_dir` | This is a property.